Package org.apache.catalina.ha.deploy

## Class WarWatcher.WarFilter

- java.lang.Object
- - org.apache.catalina.ha.deploy.WarWatcher.WarFilter

- All Implemented Interfaces:
    `java.io.FilenameFilter`
  Enclosing class:
    WarWatcher

      protected static class WarWatcher.WarFilter
      extends java.lang.Object
      implements java.io.FilenameFilter

  File name filter for war files

- - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `WarFilter()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `accept​(java.io.File path, java.lang.String name)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### WarFilter

          protected WarFilter()

  - ### Method Detail

    - #### accept

          public boolean accept​(java.io.File path,
                                java.lang.String name)

      Specified by:
        `accept` in interface `java.io.FilenameFilter`